aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTim Harder <radhermit@gmail.com>2015-06-23 00:56:39 -0400
committerTim Harder <radhermit@gmail.com>2015-06-23 00:56:39 -0400
commitcf89895a281117b51ace57f1b582e7d804d8117f (patch)
treedc9f63713c990ae433bf670c4c0d3403859a63d7
parentdrop unused import (diff)
downloadpkgcore-cf89895a281117b51ace57f1b582e7d804d8117f.tar.gz
pkgcore-cf89895a281117b51ace57f1b582e7d804d8117f.tar.bz2
pkgcore-cf89895a281117b51ace57f1b582e7d804d8117f.zip
bash: drop __inject_common_phase_funcs() usage
It's cleaner to just use __inject_phase_funcs directly in only the EAPI=0 lib.
-rw-r--r--bash/dont_export_funcs.list1
-rw-r--r--bash/eapi/0.lib2
-rw-r--r--bash/eapi/2.lib3
-rw-r--r--bash/eapi/common.lib4
-rwxr-xr-xbash/generate_eapi_func_list.bash2
5 files changed, 4 insertions, 8 deletions
diff --git a/bash/dont_export_funcs.list b/bash/dont_export_funcs.list
index 6d1bac609..d217ee923 100644
--- a/bash/dont_export_funcs.list
+++ b/bash/dont_export_funcs.list
@@ -83,7 +83,6 @@ __get_libdir
__helper_check_exit
__helper_died
__helper_exit
-__inject_common_phase_funcs
__inject_func_code
__inject_phase_funcs
__internal_inherit
diff --git a/bash/eapi/0.lib b/bash/eapi/0.lib
index 35ef2ee73..0525fab23 100644
--- a/bash/eapi/0.lib
+++ b/bash/eapi/0.lib
@@ -1,4 +1,4 @@
# Copyright: 2012 Brian Harring <ferringb@gmail.com>
# license GPL2/BSD 3
-__inject_common_phase_funcs
+__inject_phase_funcs __phase_common pkg_nofetch src_{unpack,compile,test}
diff --git a/bash/eapi/2.lib b/bash/eapi/2.lib
index 1b63af89a..d62d6d068 100644
--- a/bash/eapi/2.lib
+++ b/bash/eapi/2.lib
@@ -1,6 +1,8 @@
# Copyright: 2011-2012 Brian Harring <ferringb@gmail.com>
# license GPL2/BSD 3
+source "${PKGCORE_BIN_PATH}"/eapi/1.lib
+
__phase_eapi2_src_configure() {
if [[ -x ${ECONF_SOURCE:-.}/configure ]]; then
econf
@@ -22,6 +24,5 @@ default() {
}
__inject_phase_funcs __phase_eapi2 src_{configure,prepare}
-__inject_common_phase_funcs
:
diff --git a/bash/eapi/common.lib b/bash/eapi/common.lib
index e1ae97f06..fa54acee2 100644
--- a/bash/eapi/common.lib
+++ b/bash/eapi/common.lib
@@ -447,10 +447,6 @@ __inject_phase_funcs() {
done
}
-__inject_common_phase_funcs() {
- __inject_phase_funcs __phase_common pkg_nofetch src_{unpack,compile,test}
-}
-
unpack() {
local file filename myfail srcdir taropts tar_subdir
taropts='--no-same-owner'
diff --git a/bash/generate_eapi_func_list.bash b/bash/generate_eapi_func_list.bash
index a5342b5fe..eb9f36bcb 100755
--- a/bash/generate_eapi_func_list.bash
+++ b/bash/generate_eapi_func_list.bash
@@ -19,7 +19,7 @@ source "${PKGCORE_BIN_PATH}/isolated-functions.lib" \
|| { echo "failed loading isolated-functions.lib" >&2; exit 1; }
# pull in common.lib for various functions used in EAPI libs, currently
-# __inject_common_phase_funcs() and __inject_phase_funcs() in particular
+# __inject_phase_funcs() in particular
source "${PKGCORE_BIN_PATH}/eapi/common.lib" \
|| { echo "failed loading eapi/common.lib" >&2; exit 1; }